# frozen_string_literal: true

# Notifica a les usuaries cuando un sitio se generó con éxito
#
# XXX: No será mejor enviarles un correo con copia?
# TODO: Agregar headers de desuscripción de notificaciones cuando
# tengamos opciones de usuarie
# TODO: Agregar firma GPG y header Autocrypt
# TODO: Cifrar con GPG si le usuarie nos dio su llave
class DeployMailer < ApplicationMailer
  # rubocop:disable Metrics/AbcSize
  def deployed(which_ones)
    @usuarie = Usuarie.find(params[:usuarie])
    @site = @usuarie.sites.find(params[:site])
    @deploys = which_ones
    @deploy_local = @site.deploys.find_by(type: 'DeployLocal')

    # Informamos a cada quien en su idioma y damos una dirección de
    # respuesta porque a veces les usuaries nos escriben
    I18n.with_locale(@usuarie.lang) do
      mail(to: @usuarie.email,
           reply_to: "sutty@#{Site.domain}",
           subject: I18n.t('deploy_mailer.deployed.subject',
                           site: @site.name))
    end
  end
  # rubocop:enable Metrics/AbcSize
end
