# frozen_string_literal: true

# Vincula la versión del sitio con www a la versión sin
class DeployWww < Deploy
  store :values, accessors: %i[], coder: JSON

  before_destroy :remove_destination!

  def deploy
    File.symlink?(destination) ||
      File.symlink(site.hostname, destination).zero?
  end

  def limit
    1
  end

  def size
    File.size destination
  end

  def destination
    File.join(Rails.root, '_deploy', fqdn)
  end

  def fqdn
    "www.#{site.hostname}"
  end

  private

  def remove_destination!
    FileUtils.rm_f destination
  end
end
