# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2021_05_14_165639) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "pg_trgm"
  enable_extension "pgcrypto"
  enable_extension "plpgsql"

  create_table "access_logs", id: :uuid, default: nil, force: :cascade do |t|
    t.string "host"
    t.float "msec"
    t.string "server_protocol"
    t.string "request_method"
    t.string "request_completion"
    t.string "uri"
    t.string "query_string"
    t.integer "status"
    t.string "sent_http_content_type"
    t.string "sent_http_content_encoding"
    t.string "sent_http_etag"
    t.string "sent_http_last_modified"
    t.string "http_accept"
    t.string "http_accept_encoding"
    t.string "http_accept_language"
    t.string "http_pragma"
    t.string "http_cache_control"
    t.string "http_if_none_match"
    t.string "http_dnt"
    t.string "http_user_agent"
    t.string "http_origin"
    t.float "request_time"
    t.integer "bytes_sent"
    t.integer "body_bytes_sent"
    t.integer "request_length"
    t.string "http_connection"
    t.string "pipe"
    t.integer "connection_requests"
    t.string "geoip2_data_country_name"
    t.string "geoip2_data_city_name"
    t.string "ssl_server_name"
    t.string "ssl_protocol"
    t.string "ssl_early_data"
    t.string "ssl_session_reused"
    t.string "ssl_curves"
    t.string "ssl_ciphers"
    t.string "ssl_cipher"
    t.string "sent_http_x_xss_protection"
    t.string "sent_http_x_frame_options"
    t.string "sent_http_x_content_type_options"
    t.string "sent_http_strict_transport_security"
    t.string "nginx_version"
    t.integer "pid"
    t.string "remote_user"
    t.boolean "crawler", default: false
    t.string "http_referer"
    t.index ["geoip2_data_city_name"], name: "index_access_logs_on_geoip2_data_city_name"
    t.index ["geoip2_data_country_name"], name: "index_access_logs_on_geoip2_data_country_name"
    t.index ["host"], name: "index_access_logs_on_host"
    t.index ["http_origin"], name: "index_access_logs_on_http_origin"
    t.index ["http_user_agent"], name: "index_access_logs_on_http_user_agent"
    t.index ["status"], name: "index_access_logs_on_status"
    t.index ["uri"], name: "index_access_logs_on_uri"
  end

  create_table "action_text_rich_texts", force: :cascade do |t|
    t.string "name", null: false
    t.text "body"
    t.string "record_type", null: false
    t.bigint "record_id", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["record_type", "record_id", "name"], name: "index_action_text_rich_texts_uniqueness", unique: true
  end

  create_table "active_storage_attachments", force: :cascade do |t|
    t.string "name", null: false
    t.string "record_type", null: false
    t.bigint "record_id", null: false
    t.bigint "blob_id", null: false
    t.datetime "created_at", null: false
    t.index ["blob_id"], name: "index_active_storage_attachments_on_blob_id"
    t.index ["record_type", "record_id", "name", "blob_id"], name: "index_active_storage_attachments_uniqueness", unique: true
  end

  create_table "active_storage_blobs", force: :cascade do |t|
    t.string "key", null: false
    t.string "filename", null: false
    t.string "content_type"
    t.text "metadata"
    t.bigint "byte_size", null: false
    t.string "checksum", null: false
    t.datetime "created_at", null: false
    t.string "service_name", null: false
    t.index ["key"], name: "index_active_storage_blobs_on_key", unique: true
  end

  create_table "active_storage_variant_records", force: :cascade do |t|
    t.bigint "blob_id", null: false
    t.string "variation_digest", null: false
    t.index ["blob_id", "variation_digest"], name: "index_active_storage_variant_records_uniqueness", unique: true
  end

  create_table "blazer_audits", force: :cascade do |t|
    t.bigint "user_id"
    t.bigint "query_id"
    t.text "statement"
    t.string "data_source"
    t.datetime "created_at"
    t.index ["query_id"], name: "index_blazer_audits_on_query_id"
    t.index ["user_id"], name: "index_blazer_audits_on_user_id"
  end

  create_table "blazer_checks", force: :cascade do |t|
    t.bigint "creator_id"
    t.bigint "query_id"
    t.string "state"
    t.string "schedule"
    t.text "emails"
    t.text "slack_channels"
    t.string "check_type"
    t.text "message"
    t.datetime "last_run_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["creator_id"], name: "index_blazer_checks_on_creator_id"
    t.index ["query_id"], name: "index_blazer_checks_on_query_id"
  end

  create_table "blazer_dashboard_queries", force: :cascade do |t|
    t.bigint "dashboard_id"
    t.bigint "query_id"
    t.integer "position"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["dashboard_id"], name: "index_blazer_dashboard_queries_on_dashboard_id"
    t.index ["query_id"], name: "index_blazer_dashboard_queries_on_query_id"
  end

  create_table "blazer_dashboards", force: :cascade do |t|
    t.bigint "creator_id"
    t.text "name"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["creator_id"], name: "index_blazer_dashboards_on_creator_id"
  end

  create_table "blazer_queries", force: :cascade do |t|
    t.bigint "creator_id"
    t.string "name"
    t.text "description"
    t.text "statement"
    t.string "data_source"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["creator_id"], name: "index_blazer_queries_on_creator_id"
  end

  create_table "build_stats", force: :cascade do |t|
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "deploy_id"
    t.bigint "bytes"
    t.float "seconds"
    t.string "action", null: false
    t.text "log"
    t.boolean "status", default: false
    t.index ["deploy_id"], name: "index_build_stats_on_deploy_id"
  end

  create_table "csp_reports", id: :uuid, default: nil, force: :cascade do |t|
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "disposition"
    t.string "referrer"
    t.string "blocked_uri"
    t.string "document_uri"
    t.string "effective_directive"
    t.string "original_policy"
    t.string "script_sample"
    t.string "status_code"
    t.string "violated_directive"
    t.integer "column_number"
    t.integer "line_number"
    t.string "source_file"
  end

  create_table "deploys", force: :cascade do |t|
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "site_id"
    t.string "type"
    t.text "values"
    t.index ["site_id"], name: "index_deploys_on_site_id"
    t.index ["type"], name: "index_deploys_on_type"
  end

  create_table "designs", force: :cascade do |t|
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "name"
    t.text "description"
    t.string "gem"
    t.string "url"
    t.string "license"
    t.boolean "disabled", default: false
    t.text "credits"
    t.string "designer_url"
  end

  create_table "indexed_posts", id: :uuid, default: -> { "gen_random_uuid()" }, force: :cascade do |t|
    t.bigint "site_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "locale", default: "simple"
    t.string "layout", null: false
    t.string "path", null: false
    t.string "title", default: ""
    t.jsonb "front_matter", default: "{}"
    t.string "content", default: ""
    t.tsvector "indexed_content"
    t.integer "order", default: 0
    t.string "dictionary"
    t.index ["front_matter"], name: "index_indexed_posts_on_front_matter", using: :gin
    t.index ["indexed_content"], name: "index_indexed_posts_on_indexed_content", using: :gin
    t.index ["layout"], name: "index_indexed_posts_on_layout"
    t.index ["locale"], name: "index_indexed_posts_on_locale"
    t.index ["site_id"], name: "index_indexed_posts_on_site_id"
  end

  create_table "licencias", force: :cascade do |t|
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "name"
    t.text "description"
    t.text "deed"
    t.string "url"
    t.string "icons"
  end

  create_table "log_entries", force: :cascade do |t|
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "site_id"
    t.text "text"
    t.boolean "sent", default: false
    t.index ["site_id"], name: "index_log_entries_on_site_id"
  end

  create_table "maintenances", force: :cascade do |t|
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.text "message"
    t.datetime "estimated_from"
    t.datetime "estimated_to"
    t.boolean "are_we_back", default: false
  end

  create_table "mobility_string_translations", force: :cascade do |t|
    t.string "locale", null: false
    t.string "key", null: false
    t.string "value"
    t.string "translatable_type"
    t.bigint "translatable_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["translatable_id", "translatable_type", "key"], name: "index_mobility_string_translations_on_translatable_attribute"
    t.index ["translatable_id", "translatable_type", "locale", "key"], name: "index_mobility_string_translations_on_keys", unique: true
    t.index ["translatable_type", "key", "value", "locale"], name: "index_mobility_string_translations_on_query_keys"
  end

  create_table "mobility_text_translations", force: :cascade do |t|
    t.string "locale", null: false
    t.string "key", null: false
    t.text "value"
    t.string "translatable_type"
    t.bigint "translatable_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["translatable_id", "translatable_type", "key"], name: "index_mobility_text_translations_on_translatable_attribute"
    t.index ["translatable_id", "translatable_type", "locale", "key"], name: "index_mobility_text_translations_on_keys", unique: true
  end

  create_table "roles", force: :cascade do |t|
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "site_id"
    t.bigint "usuarie_id"
    t.string "rol"
    t.boolean "temporal"
    t.index ["site_id", "usuarie_id"], name: "index_roles_on_site_id_and_usuarie_id", unique: true
    t.index ["site_id"], name: "index_roles_on_site_id"
    t.index ["usuarie_id"], name: "index_roles_on_usuarie_id"
  end

  create_table "sites", force: :cascade do |t|
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "name"
    t.bigint "design_id"
    t.bigint "licencia_id"
    t.string "status", default: "waiting"
    t.text "description"
    t.string "title"
    t.boolean "colaboracion_anonima", default: false
    t.boolean "contact", default: false
    t.string "private_key_ciphertext"
    t.boolean "acepta_invitades", default: false
    t.string "tienda_api_key_ciphertext", default: ""
    t.string "tienda_url", default: ""
    t.string "api_key_ciphertext"
    t.index ["design_id"], name: "index_sites_on_design_id"
    t.index ["licencia_id"], name: "index_sites_on_licencia_id"
    t.index ["name"], name: "index_sites_on_name", unique: true
  end

  create_table "usuaries", force: :cascade do |t|
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "email", default: "", null: false
    t.string "encrypted_password", default: "", null: false
    t.string "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.string "confirmation_token"
    t.datetime "confirmed_at"
    t.datetime "confirmation_sent_at"
    t.string "unconfirmed_email"
    t.integer "failed_attempts", default: 0, null: false
    t.string "unlock_token"
    t.datetime "locked_at"
    t.boolean "acepta_politicas_de_privacidad", default: false
    t.string "invitation_token"
    t.datetime "invitation_created_at"
    t.datetime "invitation_sent_at"
    t.datetime "invitation_accepted_at"
    t.integer "invitation_limit"
    t.string "invited_by_type"
    t.bigint "invited_by_id"
    t.integer "invitations_count", default: 0
    t.string "lang", default: "es"
    t.index ["confirmation_token"], name: "index_usuaries_on_confirmation_token", unique: true
    t.index ["email"], name: "index_usuaries_on_email", unique: true
    t.index ["invitation_token"], name: "index_usuaries_on_invitation_token", unique: true
    t.index ["invitations_count"], name: "index_usuaries_on_invitations_count"
    t.index ["invited_by_id"], name: "index_usuaries_on_invited_by_id"
    t.index ["invited_by_type", "invited_by_id"], name: "index_usuaries_on_invited_by"
    t.index ["reset_password_token"], name: "index_usuaries_on_reset_password_token", unique: true
    t.index ["unlock_token"], name: "index_usuaries_on_unlock_token", unique: true
  end

  add_foreign_key "active_storage_attachments", "active_storage_blobs", column: "blob_id"
  add_foreign_key "active_storage_variant_records", "active_storage_blobs", column: "blob_id"
  create_trigger("indexed_posts_before_insert_update_row_tr", :compatibility => 1).
      on("indexed_posts").
      before(:insert, :update) do
    <<-SQL_ACTIONS
new.indexed_content := to_tsvector(('pg_catalog.' || new.dictionary)::regconfig, coalesce(new.title, '') || '
' || coalesce(new.content,''));
    SQL_ACTIONS
  end

end
